#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_min.h>
#include "loadData.h"
#include "logLike.h"

static double N, mu, B, c;

double nLogLike(double lN, void *params){
}


int main(int argc, char *argv[]){    
    int i,j;

    if(argc != 2 + nparam){
        printf("Usage: ./a.out datafile p1 p2 ... (%d params: ", nparam);
        printLikelihoodVars();
        printf(")\n");
        exit(1);
    }
    
    int nx;
    double *x, *background;
    int nEn;
    double *energies, *seqbgp;
    readData(argv[1], &nx, &x, &background, &nEn, &energies, &seqbgp);

    init(nx, x, background, nEn, energies, seqbgp);
    
    gsl_vector *param;
    param = gsl_vector_alloc(nparam);
    for(i = 0; i < nparam; i++){
        gsl_vector_set(param, i, atof(argv[i+2]));
    }
    mapParam(param);

    printLikelihoodVars();
    printf("\nLL: %g\n", logLikelihood(param));
    return 0;
}

