#ifndef LOGLIKE_H
#define LOGLIKE_H

#include <gsl/gsl_vector.h>

extern int nparam; 

void init(int nx_i, double *x_i, double *background_i, int nEn_i, double *energies_i, double *bgp_i);
void mapParam(gsl_vector *v);
void unmapParam(gsl_vector *v);
double logLikelihood(const gsl_vector *param);
double fitness(double en, const gsl_vector *param);
void printLikelihoodVars();

#endif
