#!/usr/bin/env python2
from scipy import loadtxt, exp
import load, pylab
import sys

def main():
    f = loadtxt(sys.argv[1])
    if len(sys.argv) == 2:
        if f.shape[1] == 4:
            bases = 'ACGT'
        else:
            raise Exception("Unknown bases!")
    else:
        bases = sys.argv[2]
    load.showEnergies(f, bases)
    pylab.show()

if __name__ == '__main__':
    main()
