#!/usr/bin/env bash
datadir=data

cat >runt4.sh <<EOF
#!/usr/bin/env bash
#PBS -l nodes=1:ppn=1
#PBS -l walltime=360000
#PBS -e /dev/null
#PBS -o /dev/null
cd \$PBS_O_WORKDIR

mkdir -p \$F/fits
for ud in \$F/ud/*; do
    run=\$(basename \$ud)
    ./t4 \$ud >\$F/fits/grid_\$run
done
EOF

for i in ${datadir}/*
do
    qsub -v F=$i -N $(basename $i) runt4.sh
done
